Subject: Re: Phantom RAF Germany
To: "Chris McKee" <[email-masked]>
Date: Sat, 15 Mar 2003 17:10:13 -0800

----- Original Message ----- 
  From: Chris McKee 
  To: ARC 
  Sent: Friday, January 31, 2003 10:19 AM
  Subject: Phantom RAF Germany

  1:48 RAF PHANTOM FGR2 
  by Chris McKee

        Steve Bamford will insert full sized version of photo 01.jpg here

       

  The RAF Recce Squadron in Germany in the late 1970's was II Sqn, with it's FGR2's carrying a huge recce pod. Some of these pods carried sharks mouths and it was one of these I set out to model. Dick Wards excellent book showed the aircraft I wanted, complete with teeth, an Hasegawa FGR2 had the cockpit detailed and some new ejection seats, the rest was as the kit instructions. Decals came from Maintrack, with the Sharks mouth being hand painted. All panel lines were sprayed black first then each panel was painted separately, this seems the norm now days but I made this kit in 1992! There's something about camouflaged Phantoms I love, it's a real shame the recce F4's camo wasn't 360 degrees like the Bucc's and Jaguars!

        Steve Bamford will insert full sized version of photo 02.jpg here

       

  Photos and text © 2003 by Chris McKee